Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## rendsite.engine
Enum RenderingType

    java.lang.Object
      java.lang.Enum<RenderingType>
          rendsite.engine.RenderingType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RenderingType>

    public enum RenderingType

extends java.lang.Enum<RenderingType>

Rendering type gives hints to the render about the category to help in distinguishing the various types and subtypes.

Author:
  erich Version History

       10NOV09 - EPG - First package release.

Enum Constant Summary
`APPLICATION`
`ARCHIVE`
`CONFIGURATION`
`DOCUMENT`
`IMAGE`
`OTHER`
`SOURCE`
`WEB`

Method Summary
`static RenderingType` | `match(java.lang.String token)` Match it (in a forgiving fashion).
`static RenderingType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RenderingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DOCUMENT

    public static final RenderingType DOCUMENT

### WEB

    public static final RenderingType WEB

### SOURCE

    public static final RenderingType SOURCE

### APPLICATION

    public static final RenderingType APPLICATION

### IMAGE

    public static final RenderingType IMAGE

### ARCHIVE

    public static final RenderingType ARCHIVE

### CONFIGURATION

    public static final RenderingType CONFIGURATION

### OTHER

    public static final RenderingType OTHER

Method Detail

### values

    public static RenderingType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RenderingType c : RenderingType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RenderingType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### match

    public static RenderingType match(java.lang.String token)

  Match it (in a forgiving fashion).

  Parameters:
    `token` - the value to match. This is not case sensitive! It also forgives whitespace!
  Returns:
    the rendering type or null if it doesn't match.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

rendsite.